import { RequestHandler, Router } from 'express';
import { Create } from '../../functions/user';
import { Services } from './server';

export function LoginHandler(services: Services): RequestHandler {
  return async (req, res) => {
    return res.send('Hey!\n');
  };
}

export function CreateHandler(services: Services): RequestHandler {
  const createUser = Create(services);

  return async (req, res) => {
    const user = await createUser(req.get("request-id"), req.body);
    
    res.send(user);
  }
}

export function getRoutes(services: Services) {
  const router = Router();

  router.post('/login', LoginHandler(services));
  router.post('/create', CreateHandler(services));
  
  return router;
}


